Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class EmailNotification

    java.lang.Object
      org.jbpm.task.Notification
          org.jbpm.task.EmailNotification

All Implemented Interfaces:
  Externalizable, Serializable

    @Entity
    public class EmailNotification

extends Notification

See Also:
  Serialized Form

Constructor Summary
`EmailNotification()`

Method Summary
`boolean` | `equals(Object obj)`
`Map<String,EmailNotificationHeader>` | `getEmailHeaders()`
`NotificationType` | `getNotificationType()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setEmailHeaders(Map<String,EmailNotificationHeader> emailHeaders)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jbpm.task.Notification
`getBusinessAdministrators, getDescriptions, getDocumentation, getId, getNames, getPriority, getRecipients, getSubjects, setBusinessAdministrators, setDescriptions, setDocumentation, setId, setNames, setPriority, setRecipients, setSubjects`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailNotification

    public EmailNotification()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `Notification`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `Notification`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getNotificationType

    public NotificationType getNotificationType()

  Overrides:
    `getNotificationType` in class `Notification`

### getEmailHeaders

    public Map<String,EmailNotificationHeader> getEmailHeaders()

### setEmailHeaders

    public void setEmailHeaders(Map<String,EmailNotificationHeader> emailHeaders)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Notification`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Notification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.